diff -ruN FreeTDS-orig/Portfile FreeTDS/Portfile
--- FreeTDS-orig/Portfile	2004-01-17 21:42:10.000000000 -0800
+++ FreeTDS/Portfile	2005-05-26 09:53:37.000000000 -0700
@@ -2,27 +2,32 @@
 
 PortSystem 1.0
 name			freetds
-version			0.61
+version			0.63
 categories		databases
 platforms		darwin
 maintainers		jkh@opendarwin.org
 description		A set of libraries for Unix and Linux that allows your programs to natively talk to Microsoft SQL Server and Sybase databases
 long_description FreeTDS is an open source implementation of the TDS (Tabular DataStream) protocol used by these databases for their own clients. It supports many different flavors of the protocol and supports several APIs to access it. Additionally FreeTDS works with other software such as Perl and PHP, providing access from those languages as well. There is also a native (type 4) JDBC driver available for platform-independent Java clients (including Java Server Pages applications), with support for most of the JDBC 1 API and portions of the JDBC 2 API.
 
-extract.suffix	.tgz
+#extract.suffix	.tar.gz
 homepage	http://www.freetds.org/
-master_sites	opendarwin
-checksums	md5 95e91d26ddfdeed255771f3fa2c28129
+master_sites	ftp://ftp.ibiblio.org/pub/Linux/ALPHA/${name}/stable/ opendarwin
+checksums	md5 a0a5038cfb708180308b381f848baf75
 depends_lib	lib:libiconv.2:libiconv
-worksrcdir	freetds-0.61.2
+worksrcdir	freetds-0.63
 
-# The following only applies to Panther builds.
 platform darwin 7 {
-	patchfiles	patch-src-Makefile.in patch-src-tds-Makefile.in \
-		patch-src-server-Makefile.in patch-src-ctlib-Makefile.in \
-		patch-src-odbc-Makefile.in patch-src-dblib-Makefile.in
+	patchfiles	patch-src-tds-Makefile.in patch-src-server-Makefile.in \
+		patch-src-ctlib-Makefile.in patch-src-odbc-Makefile.in \
+		patch-src-dblib-Makefile.in
 
 	pre-build {
 		system "cp /usr/bin/glibtool ${worksrcpath}/libtool"
 	}
 }
+
+platform darwin 8 {
+        patchfiles      patch-src-tds-Makefile.in patch-src-server-Makefile.in \
+		patch-src-ctlib-Makefile.in patch-src-odbc-Makefile.in \
+                patch-src-dblib-Makefile.in
+}
diff -ruN FreeTDS-orig/files/CVS/Entries FreeTDS/files/CVS/Entries
--- FreeTDS-orig/files/CVS/Entries	2005-06-08 01:46:25.000000000 -0700
+++ FreeTDS/files/CVS/Entries	2005-05-29 15:29:00.000000000 -0700
@@ -1,7 +1,7 @@
-/patch-src-Makefile.in/1.1/Sat Dec 20 22:23:23 2003//
 /patch-src-ctlib-Makefile.in/1.1/Sat Dec 20 22:23:23 2003//
 /patch-src-dblib-Makefile.in/1.1/Sat Dec 20 22:23:23 2003//
 /patch-src-odbc-Makefile.in/1.1/Sat Dec 20 22:23:23 2003//
 /patch-src-server-Makefile.in/1.1/Sat Dec 20 22:23:23 2003//
 /patch-src-tds-Makefile.in/1.1/Sat Dec 20 22:23:23 2003//
+/patch-src-Makefile.in/1.1/Sun May 29 22:29:00 2005//
 D
diff -ruN FreeTDS-orig/files/patch-src-ctlib-Makefile.in FreeTDS/files/patch-src-ctlib-Makefile.in
--- FreeTDS-orig/files/patch-src-ctlib-Makefile.in	2003-12-20 14:23:23.000000000 -0800
+++ FreeTDS/files/patch-src-ctlib-Makefile.in	2005-05-26 10:20:56.000000000 -0700
@@ -1,15 +1,15 @@
---- src/ctlib/Makefile.in.orig	Sat Dec 20 14:09:20 2003
-+++ src/ctlib/Makefile.in	Sat Dec 20 14:09:35 2003
-@@ -142,7 +142,7 @@
- lib_LTLIBRARIES = libct.la
- libct_la_SOURCES = ct.c cs.c blk.c ctutil.c
- libct_la_LDFLAGS = -version-info 1:0:0
--libct_la_LIBADD = ../tds/libtds_objects.la $(NETWORK_LIBS) $(LIBICONV) ../replacements/libreplacements.la
-+libct_la_LIBADD = ../tds/libtds_objects.la $(NETWORK_LIBS) $(LIBICONV)
+--- src/ctlib/Makefile.in.orig	2005-05-26 09:26:47.000000000 -0700
++++ src/ctlib/Makefile.in	2005-05-26 09:28:03.000000000 -0700
+@@ -179,7 +179,7 @@
+ # version bumped for 0.63, I hope we'll bump it less in the future -- freddy77
+ libct_la_LDFLAGS = -version-info 3:0:0 -export-symbols-regex '^(cs_|ct_|blk_).*' $(FREETDS_SYMBOLIC)
+ 
+-libct_la_LIBADD = ../tds/libtds_objects.la ../replacements/libreplacements.la $(NETWORK_LIBS) $(LIBICONV) $(FREETDS_LIBGCC)
++libct_la_LIBADD = $(NETWORK_LIBS) $(LIBICONV) $(FREETDS_LIBGCC)
  
  INCLUDES = -I$(top_srcdir)/include
  subdir = src/ctlib
-@@ -151,8 +151,7 @@
+@@ -188,8 +188,7 @@
  CONFIG_CLEAN_FILES =
  LTLIBRARIES = $(lib_LTLIBRARIES)
  
diff -ruN FreeTDS-orig/files/patch-src-dblib-Makefile.in FreeTDS/files/patch-src-dblib-Makefile.in
--- FreeTDS-orig/files/patch-src-dblib-Makefile.in	2003-12-20 14:23:23.000000000 -0800
+++ FreeTDS/files/patch-src-dblib-Makefile.in	2005-05-26 10:21:18.000000000 -0700
@@ -1,15 +1,15 @@
---- src/dblib/Makefile.in.orig	Sat Dec 20 14:14:22 2003
-+++ src/dblib/Makefile.in	Sat Dec 20 14:14:35 2003
-@@ -144,7 +144,7 @@
- EXTRA_DIST = dbopen.c
+--- src/dblib/Makefile.in.orig	2005-05-26 09:30:01.000000000 -0700
++++ src/dblib/Makefile.in	2005-05-26 09:30:50.000000000 -0700
+@@ -179,7 +179,7 @@
  libsybdb_la_SOURCES = dblib.c dbutil.c rpc.c bcp.c xact.c $(DBOPEN)
- libsybdb_la_LDFLAGS = -version-info 3:0:0
--libsybdb_la_LIBADD = ../tds/libtds_objects.la $(NETWORK_LIBS) $(LIBICONV) ../replacements/libreplacements.la
-+libsybdb_la_LIBADD = ../tds/libtds_objects.la $(NETWORK_LIBS) $(LIBICONV)
+ # version bumped for 0.63, I hope we'll bump it less in the future -- freddy77
+ libsybdb_la_LDFLAGS = -version-info 5:0:0 -export-symbols-regex '^(db|bcp_|tdsdump_open|tdsdbopen|.*_xact|close_commit|open_commit|.?asprintf).*' $(FREETDS_SYMBOLIC)
+-libsybdb_la_LIBADD = ../tds/libtds_objects.la ../replacements/libreplacements.la $(NETWORK_LIBS) $(LIBICONV) $(FREETDS_LIBGCC)
++libsybdb_la_LIBADD = ../tds/libtds_objects.la $(NETWORK_LIBS) $(LIBICONV) $(FREETDS_LIBGCC)
  
  INCLUDES = -I$(top_srcdir)/include
  subdir = src/dblib
-@@ -153,8 +153,7 @@
+@@ -188,8 +188,7 @@
  CONFIG_CLEAN_FILES =
  LTLIBRARIES = $(lib_LTLIBRARIES)
  
diff -ruN FreeTDS-orig/files/patch-src-odbc-Makefile.in FreeTDS/files/patch-src-odbc-Makefile.in
--- FreeTDS-orig/files/patch-src-odbc-Makefile.in	2003-12-20 14:23:23.000000000 -0800
+++ FreeTDS/files/patch-src-odbc-Makefile.in	2005-05-26 10:21:45.000000000 -0700
@@ -1,25 +1,21 @@
---- src/odbc/Makefile.in.orig	Sat Dec 20 14:10:18 2003
-+++ src/odbc/Makefile.in	Sat Dec 20 14:11:11 2003
-@@ -147,8 +147,8 @@
- 	sql2tds.c sql2tds.h error.c
+--- src/odbc/Makefile.in.orig	2005-05-26 09:31:48.000000000 -0700
++++ src/odbc/Makefile.in	2005-05-26 09:33:04.000000000 -0700
+@@ -181,7 +181,7 @@
+ 	sql2tds.c sql2tds.h error.c \
+ 	odbc_checks.c odbc_checks.h
  
- EXTRA_DIST = tables.sql
--@UNIXODBC_TRUE@libtdsodbc_la_LIBADD = ../tds/libtds_objects.la -lodbcinst $(NETWORK_LIBS) $(LIBICONV) ../replacements/libreplacements.la
--@UNIXODBC_FALSE@libtdsodbc_la_LIBADD = ../tds/libtds_objects.la $(NETWORK_LIBS) $(LIBICONV) ../replacements/libreplacements.la
-+@UNIXODBC_TRUE@libtdsodbc_la_LIBADD = ../tds/libtds_objects.la -lodbcinst $(NETWORK_LIBS) $(LIBICONV)
-+@UNIXODBC_FALSE@libtdsodbc_la_LIBADD = ../tds/libtds_objects.la $(NETWORK_LIBS) $(LIBICONV)
- INCLUDES = -I$(top_srcdir)/include -I$(ODBC_INC)
- subdir = src/odbc
- mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
-@@ -158,9 +158,9 @@
+-libtdsodbc_la_LIBADD = ../tds/libtds_objects.la ../replacements/libreplacements.la $(ODBCINSTLIB) $(NETWORK_LIBS) $(LIBICONV) $(FREETDS_LIBGCC)
++libtdsodbc_la_LIBADD = ../tds/libtds_objects.la $(ODBCINSTLIB) $(NETWORK_LIBS) $(LIBICONV) $(FREETDS_LIBGCC)
+ INCLUDES = -I$(top_srcdir)/include $(ODBC_INC)
+ # -module is needed by Darwin (Mac OS X)
+ libtdsodbc_la_LDFLAGS = -export-symbols-regex '^(SQL|ODBCINST).*' $(FREETDS_SYMBOLIC) -module
+@@ -191,8 +191,7 @@
+ CONFIG_CLEAN_FILES =
+ LTLIBRARIES = $(lib_LTLIBRARIES)
  
- libtdsodbc_la_LDFLAGS =
- @UNIXODBC_TRUE@libtdsodbc_la_DEPENDENCIES = ../tds/libtds_objects.la \
--@UNIXODBC_TRUE@	../replacements/libreplacements.la
-+@UNIXODBC_TRUE@
- @UNIXODBC_FALSE@libtdsodbc_la_DEPENDENCIES = ../tds/libtds_objects.la \
--@UNIXODBC_FALSE@	../replacements/libreplacements.la
-+@UNIXODBC_FALSE@
+-libtdsodbc_la_DEPENDENCIES = ../tds/libtds_objects.la \
+-	../replacements/libreplacements.la
++libtdsodbc_la_DEPENDENCIES = ../tds/libtds_objects.la
  am_libtdsodbc_la_OBJECTS = odbc.lo connectparams.lo convert_tds2sql.lo \
- 	convert_sql2string.lo prepare_query.lo odbc_util.lo native.lo \
- 	sql2tds.lo error.lo
+ 	descriptor.lo prepare_query.lo odbc_util.lo native.lo \
+ 	sql2tds.lo error.lo odbc_checks.lo
diff -ruN FreeTDS-orig/files/patch-src-server-Makefile.in FreeTDS/files/patch-src-server-Makefile.in
--- FreeTDS-orig/files/patch-src-server-Makefile.in	2003-12-20 14:23:23.000000000 -0800
+++ FreeTDS/files/patch-src-server-Makefile.in	2005-05-26 10:22:10.000000000 -0700
@@ -1,15 +1,15 @@
---- src/server/Makefile.in.orig	Sat Dec 20 14:00:04 2003
-+++ src/server/Makefile.in	Sat Dec 20 14:00:40 2003
-@@ -140,7 +140,7 @@
- lib_LTLIBRARIES = libtdssrv.la
+--- src/server/Makefile.in.orig	2005-05-26 09:34:44.000000000 -0700
++++ src/server/Makefile.in	2005-05-26 09:35:07.000000000 -0700
+@@ -175,7 +175,7 @@
  libtdssrv_la_SOURCES = query.c server.c login.c
- libtdssrv_la_LDFLAGS = -version-info 1:0:0
--libtdssrv_la_LIBADD = ../tds/libtds_objects.la $(NETWORK_LIBS) $(LIBICONV) ../replacements/libreplacements.la
-+libtdssrv_la_LIBADD = ../tds/libtds_objects.la $(NETWORK_LIBS) $(LIBICONV)
+ # bump server version whenever bumping libtds version
+ libtdssrv_la_LDFLAGS = -version-info 2:0:0
+-libtdssrv_la_LIBADD = ../tds/libtds_objects.la ../replacements/libreplacements.la $(NETWORK_LIBS) $(LIBICONV) $(FREETDS_LIBGCC)
++libtdssrv_la_LIBADD = ../tds/libtds_objects.la $(NETWORK_LIBS) $(LIBICONV) $(FREETDS_LIBGCC)
  INCLUDES = -I$(top_srcdir)/include
- EXTRA_DIST = unittest.c
- subdir = src/server
-@@ -149,8 +149,7 @@
+ noinst_PROGRAMS = tdssrv
+ tdssrv_LDADD = libtdssrv.la $(NETWORK_LIBS)
+@@ -186,8 +186,7 @@
  CONFIG_CLEAN_FILES =
  LTLIBRARIES = $(lib_LTLIBRARIES)
  
@@ -18,4 +18,4 @@
 +libtdssrv_la_DEPENDENCIES = ../tds/libtds_objects.la
  am_libtdssrv_la_OBJECTS = query.lo server.lo login.lo
  libtdssrv_la_OBJECTS = $(am_libtdssrv_la_OBJECTS)
- 
+ noinst_PROGRAMS = tdssrv$(EXEEXT)
diff -ruN FreeTDS-orig/files/patch-src-tds-Makefile.in FreeTDS/files/patch-src-tds-Makefile.in
--- FreeTDS-orig/files/patch-src-tds-Makefile.in	2003-12-20 14:23:23.000000000 -0800
+++ FreeTDS/files/patch-src-tds-Makefile.in	2005-05-26 10:22:32.000000000 -0700
@@ -1,15 +1,15 @@
---- src/tds/Makefile.in.orig	Sat Dec 20 13:51:29 2003
-+++ src/tds/Makefile.in	Sat Dec 20 13:51:39 2003
-@@ -152,7 +152,7 @@
- lib_LTLIBRARIES = libtds.la
- libtds_la_SOURCES = 
- libtds_la_LDFLAGS = -version-info 2:0:0
--libtds_la_LIBADD = libtds_objects.la $(NETWORK_LIBS) $(LIBICONV) ../replacements/libreplacements.la
-+libtds_la_LIBADD = libtds_objects.la $(NETWORK_LIBS) $(LIBICONV)
- noinst_HEADERS = tds_willconvert.h
- subdir = src/tds
- mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
-@@ -160,8 +160,7 @@
+--- src/tds/Makefile.in.orig	2005-05-26 09:35:53.000000000 -0700
++++ src/tds/Makefile.in	2005-05-26 09:36:21.000000000 -0700
+@@ -189,7 +189,7 @@
+ # Release 0.63 is version 4, cf. ML 30 Nov 2004 11:08:28 -0600
+ libtds_la_LDFLAGS = -version-info 4:0:0 -export-symbols-regex '^(tds_|tdsdump_|tds5_|tds7_).*'
+ # 			bump server version whenever bumping libtds version
+-libtds_la_LIBADD = libtds_objects.la ../replacements/libreplacements.la $(NETWORK_LIBS) $(LIBICONV) $(FREETDS_LIBGCC)
++libtds_la_LIBADD = libtds_objects.la $(NETWORK_LIBS) $(LIBICONV) $(FREETDS_LIBGCC)
+ noinst_HEADERS = tds_willconvert.h character_sets.h \
+ 			  alternative_character_sets.h sybase_character_sets.h \
+ 			  encodings.h
+@@ -200,8 +200,7 @@
  CONFIG_CLEAN_FILES =
  LTLIBRARIES = $(lib_LTLIBRARIES) $(noinst_LTLIBRARIES)
  