--- Portfile.orig	2009-02-07 19:17:39.000000000 -0500
+++ Portfile	2009-02-07 19:48:16.000000000 -0500
@@ -1,9 +1,9 @@
-# $Id: Portfile 39275 2008-08-15 07:50:10Z landonf@macports.org $
+# 
 
 PortSystem 1.0
 name		gdal
-version		1.5.1
-revision	1
+version		1.6.0
+revision	0
 maintainers	seanasy@gmail.com
 platforms	darwin
 description	GDAL - Geospatial Data Abstraction Library
@@ -15,26 +15,65 @@
 			(which lives within the GDAL source tree) provides a \
 			similar capability for simple features vector data. 
 homepage	http://www.gdal.org/
-master_sites	http://www.gdal.org/dl/
+master_sites	http://www.gdal.org/dl/ \
+				http://download.osgeo.org/gdal/
 categories		science
-checksums		md5 76b53917142c5e9ad2d0ac20fb99890b
+checksums		md5 0c53697511f489455f8b60e843986568 \
+				rmd160 85bf968b5ec6c2af5a02597bc4c8375d8f775fec \
+				sha1 cae5a891231ee5794350d1626a688d802a429423
 
 depends_lib	port:zlib port:libpng port:tiff port:libgeotiff port:jpeg \
 			port:giflib port:proj
 
-configure.args	--without-python --with-libz=${prefix} --with-png=${prefix} \
-	--with-libtiff=${prefix} --with-geotiff=${prefix} --with-jpeg=${prefix} \
-	--with-gif=${prefix} --without-pg --without-mysql --without-sqlite \
-	--mandir=${prefix}/share/man --with-static-proj4=${prefix} --without-macosx-framework
+configure.args	--with-local=${prefix} --with-libz=${prefix} \
+				--with-png=${prefix} \
+				--with-libtiff=${prefix} --with-geotiff=${prefix} \
+				--with-jpeg=${prefix} --with-gif=${prefix} \
+				--with-static-proj4=${prefix} \
+				--without-pg --without-grass --without-libgrass \
+				--without-cfitsio --without-pcraster --without-netcdf \
+				--without-ogdi --without-fme --without-hdf4 --without-hdf5 \
+				--without-jasper --without-ecw --without-kakadu --without-mrsid \
+				--without-jp2mrsid --without-msg --without-bsb --without-oci \
+				--without-grib --without-mysql --without-ingres --without-xerces \
+				--without-expat --without-odbc --with-dods-support=no \
+				--without-curl --without-sqlite3 \
+				--without-dwgdirect --without-idb --without-sde --without-geos \
+				--without-pam --without-macosx-framework --without-perl \
+				--without-php --without-ruby --without-python --without-ogpython \
+				--without-xerces \
+				--mandir=${prefix}/share/man --with-pthreads \
 
+				
 # Patch to ensure that the python installation respects DESTDIR
 patchfiles	patch-swig_python_GNUmakefile
 
+# Patches for universal build
+
+pre-build {
+	if {[variant_isset universal]} {
+		system "cd ${worksrcpath} && patch -p0 < ${portpath}/files/patch_cpl_config_h"
+	}
+}
+
 # Set target to none
 build.target
 
-variant mrsid {
+variant geos description {Enable GEOS geometry engine functionality} {
+	depends_lib-append		port:geos
+	configure.args-delete	--without-geos
+	configure.args-append	--with-geos=${prefix}/bin/geos-config
+}
+
+variant curl description {Enable curl support} {
+	depends_lib-append		port:curl
+	configure.args-delete	--without-curl
+	configure.args-append	--with-curl=${prefix}/bin/curl-config
+}
+
+variant mrsid description {Enable MrSID file format} {
 	depends_lib-append		port:geoexpress-sdk
+	configure.args-delete	--without-mrsid
 	configure.args-append		--with-mrsid=${prefix}/share/Geo_DSDK
 
 	# Fixes for Geo_DSDK 7.x - http://trac.osgeo.org/gdal/ticket/2410
@@ -42,55 +81,100 @@
 					patch-mrsid-configure
 }
 
-variant python24 {
+variant hdf4 description {Enable HDF4 file format} {
+	depends_lib-append		port:hdf4
+	configure.args-delete	--without-hdf4
+	configure.args-append	--with-hdf4=${prefix}
+}
+
+variant hdf5 description {Enable HDF5 file format} {
+	depends_lib-append		port:hdf5
+	configure.args-delete	--without-hdf5
+	configure.args-append	--with-hdf5=${prefix}
+}
+
+variant netcdf description {Enable NetCDF file format} {
+	depends_lib-append		port:netcdf
+	configure.args-delete	--without-netcdf
+	configure.args-append	--with-netcdf=${prefix}
+}
+
+variant jasper description {Enable JasPer JPEG-2000 file format} {
+	depends_lib-append		port:jasper
+	configure.args-delete	--without-jasper
+	configure.args-append 	--with-jasper=${prefix}
+}
+
+variant xerces description {Enable xerces XML support for GML file format} {
+	depends_lib-append		port:xercesc
+	configure.args-delete	--without-xerces
+	configure.args-append	--with-xerces=${prefix}
+}
+
+# Python variants 
+variant python24 description {Enable Python 2.4 support} {
 	depends_lib-append		port:python24 \
 					port:py-numpy
+	configure.args-delete	--without-python
 	configure.args-append		--with-python
 	build.args-append		PYTHON=python2.4
 }
 
-variant python25 {
+variant python25 description {Enable Python 2.5 support} {
 	depends_lib-append		port:python25 \
 					port:py25-numpy
+	configure.args-delete	--without-python
 	configure.args-append		--with-python
 	build.args-append		PYTHON=python2.5
 }
 
-variant geos {
-	depends_lib-append		port:geos
-	configure.args-append	--with-geos=${prefix}/bin/geos-config
-}
-
-variant hdf5 {
-	depends_lib-append		port:hdf5
-	configure.args-append	--with-hdf5=${prefix}
+variant python26 description {Enable Python 2.6 support} {
+	depends_lib-append		port:python26 \
+					port:py26-numpy
+	configure.args-delete	--without-python
+	configure.args-append		--with-python
+	build.args-append		PYTHON=python2.6
 }
 
-variant postgresql81 {
+# Database variants
+variant postgresql81 description {Enable PostgreSQL 8.1 support} {
 	depends_lib-append		port:postgresql81
 	configure.args-delete	--without-pg
 	configure.args-append	--with-pg=${prefix}/lib/postgresql81/bin/pg_config
 }
 
-variant postgresql82 {
+variant postgresql82 description {Enable PostgreSQL 8.2 support} {
 	depends_lib-append		port:postgresql82
 	configure.args-delete	--without-pg
 	configure.args-append	--with-pg=${prefix}/lib/postgresql82/bin/pg_config
 }
 
-variant postgresql83 {
+variant postgresql83 description {Enable PostgreSQL 8.3 support} {
 	depends_lib-append		port:postgresql83
 	configure.args-delete	--without-pg
 	configure.args-append	--with-pg=${prefix}/lib/postgresql83/bin/pg_config
 }
 
-variant sqlite3 {
+variant mysql5 description {Enable MySQL 5 support} {
+	depends_lib-append		port:mysql5
+	configure.args-delete	--without-mysql
+	configure.args-append	--with-mysql=${prefix}/lib/mysql5/bin/mysql_config
+}	
+
+variant sqlite3 description {Enable SQLite3 support} {
 	depends_lib-append		port:sqlite3
 	configure.args-delete	--without-sqlite
 	configure.args-append	--with-sqlite=${prefix}
 }
 
-variant framework {
+variant odbc description {Enable ODBC support} {
+	depends_lib-append		port:unixODBC
+	configure.args-delete	--without-odbc
+	configure.args-append	--with-odbc=${prefix}
+}
+
+# OS X Framework
+variant framework description {Build as a Mac OS X framework} {
 	configure.args-append	--with-macosx-framework
 }
 