--- Portfile-1.txt
+++ (clipboard)
@@ -4,16 +4,16 @@
 
 name                    php5
 epoch                   1
-version                 5.2.10
+version                 5.3.0
 revision                1
 set major               [lindex [split ${version} .] 0]
 set my_name             php${major}
 dist_subdir             ${my_name}
 categories              lang php www
 maintainers             ryandesign jwa
-homepage                http://www.php.net/
+homepage                http://qa.php.net/
 distname                php-${version}
-use_bzip2               yes
+use_bzip2               no
 platforms               darwin freebsd
 use_parallel_build      yes
 
@@ -26,19 +26,13 @@
     be used for command-line scripting.
 
 master_sites \
-    ${homepage}distributions/ \
-    http://it.php.net/distributions/ \
-    http://fi.php.net/distributions/ \
-    http://de.php.net/distributions/ \
-    http://gr.php.net/distributions/ \
-    http://fr.php.net/distributions/ \
-    http://es.php.net/distributions/ \
-    http://se.php.net/distributions/
+    http://downloads.php.net/ilia/ \
+    http://downloads.php.net/johannes/
 
 checksums \
-    md5     15c7b5a87f57332d6fc683528e28247b \
-    sha1    9a287e2791d28928fb1ee1a1167290c5005feccd \
-    rmd160  9a9ec823eda9d6b3c085967e7a71f776071fc78f
+    md5     f4905eca4497da3f0beb5c96863196b4 \
+    sha1    a4bc5f2bf9d42f5932d8467fba4b0024d957adf4 \
+    rmd160  ce5abd751a0cbf4e3745376053eb2053c4b56339
 
 depends_build \
     port:pkgconfig \
@@ -64,10 +58,6 @@
     port:libpng \
     port:freetype
 
-patchfiles \
-    patch-ext-date-php_date.c.diff \
-    patch-bind.diff
-
 use_autoconf            yes
 autoconf.cmd            ${prefix}/bin/autoconf213
 
@@ -103,7 +93,6 @@
     --with-openssl=${prefix} \
     --with-mhash=${prefix} \
     --with-mcrypt=${prefix} \
-    --with-mime-magic \
     --with-xsl=${prefix} \
     --with-curl=${prefix} \
     --with-pcre-regex=${prefix} \
@@ -148,7 +137,7 @@
 variant apache conflicts apache2 no_web description {Add Apache 1 web server module} {
     if { ! [variant_isset macosx] } {
         depends_lib-append \
-            path:sbin/apxs:apache
+            port:apache
         configure.args-append \
             --with-apxs=${prefix}/sbin/apxs
     } else {
@@ -168,7 +157,7 @@
     }
     destroot.violate_mtree yes
     depends_lib-append \
-        path:apache2/bin/apxs:apache2
+        port:apache2
     configure.args-append \
         --with-apxs2=${prefix}/apache2/bin/apxs
 }
@@ -200,6 +189,8 @@
 variant imap description {enable operation with IMAP protocol} {
     depends_lib-append \
         port:cclient
+    configure.cppflags-append \
+        -I${prefix}/include/c-client
     configure.args-append \
         --with-imap=${prefix} \
         --with-imap-ssl=${prefix}
@@ -250,7 +241,7 @@
         --with-snmp=${prefix}
 }
 
-variant mysql3 conflicts mysql4 mysql5 description {build MySQL 3 support} {
+variant mysql3 conflicts mysql4 mysql5 mysqlnd description {build MySQL 3 support} {
     depends_lib-append \
         port:mysql3
     configure.args-delete \
@@ -260,7 +251,7 @@
         --with-pdo-mysql=${prefix}
 }
 
-variant mysql4 conflicts mysql3 mysql5 description {build MySQL 4 support} {
+variant mysql4 conflicts mysql3 mysql5 mysqlnd description {build MySQL 4 support} {
     depends_lib-append \
         port:mysql4
     configure.args-delete \
@@ -270,7 +261,7 @@
         --with-pdo-mysql=${prefix}
 }
 
-variant mysql5 conflicts mysql3 mysql4 description {build MySQL 5 support} {
+variant mysql5 conflicts mysql3 mysql4 mysqlnd description {build MySQL 5 support} {
     depends_lib-append \
         path:bin/mysql_config5:mysql5
     configure.args-delete \
@@ -287,6 +278,15 @@
     }
 }
 
+variant mysqlnd conflicts mysql3 mysql4 mysql5 description {build MySQL Native Driver support for MySQL 4.1 and up} {
+    configure.args-delete \
+        --without-mysql
+    configure.args-append \
+        --with-mysql=mysqlnd \
+        --with-mysqli=mysqlnd \
+        --with-pdo-mysql=mysqlnd
+}
+
 variant oracle description {Add Oracle oci8 database functions with the Oracle Instant Client} {
     patchfiles-append \
         patch-ext-pdo_oci-config.m4.diff
@@ -454,8 +454,8 @@
     # Copy the default php.ini files.
     xinstall -m 755 -d ${destroot}${phpinidir}
     xinstall -m 644 -W ${worksrcpath} \
-        php.ini-dist \
-        php.ini-recommended \
+        php.ini-development \
+        php.ini-production \
         ${destroot}${phpinidir}
 }
 
@@ -467,14 +467,14 @@
     }
     if {![file exists ${phpinidir}/php.ini]} {
         ui_msg "To customize php, copy"
-        ui_msg "${phpinidir}/php.ini-dist (if this is a development server) or"
-        ui_msg "${phpinidir}/php.ini-recommended (if this is a production server) to"
+        ui_msg "${phpinidir}/php.ini-development (if this is a development server) or"
+        ui_msg "${phpinidir}/php.ini-production (if this is a production server) to"
         ui_msg "${phpinidir}/php.ini and then make changes."
     } else {
         ui_msg "You may need to update your php.ini for any changes that have been made"
         ui_msg "in this version of php. Compare ${phpinidir}/php.ini with"
-        ui_msg "${phpinidir}/php.ini-dist (if this is a development server) or"
-        ui_msg "${phpinidir}/php.ini-recommended (if this is a production server)."
+        ui_msg "${phpinidir}/php.ini-development (if this is a development server) or"
+        ui_msg "${phpinidir}/php.ini-production (if this is a production server)."
     }
     
     if {![variant_isset no_web]} {
@@ -506,5 +506,5 @@
 test.run                yes
 
 livecheck.check         regex
-livecheck.url           ${homepage}downloads.php
-livecheck.regex         get/php-(5\\.\[0-9.\]+)\\.tar
+livecheck.url           ${homepage}
+livecheck.regex         php-?(5\\.\[0-9.\]+(?:(?:alpha|beta|RC)\\d+|-latest))\\.tar