diff -ur dports_r98757/kde/analitza/Portfile dports_kdeaux/kde/analitza/Portfile
--- dports_r98757/kde/analitza/Portfile	2012-10-15 16:41:14.000000000 +0900
+++ dports_kdeaux/kde/analitza/Portfile	2012-10-14 23:12:30.000000000 +0900
@@ -5,7 +5,7 @@
 PortGroup           kde4   1.1
 
 name                analitza
-version             4.8.3
+version             4.8.5
 categories          kde kde4
 maintainers         sharky michaelld
 license             GPL-2 GFDL-1.2
@@ -19,8 +19,8 @@
 master_sites        kde:stable/${version}/src/
 use_xz              yes
 
-checksums           rmd160  d180d0ca46c10a88821c8746d15c314770cec2fb \
-                    sha256  79ccdea28751f6a8340d9fade5bb72674b94785e8c3bf0203702672a1072bddc
+checksums           rmd160  6aee87d1d160f3490aa8a397125ce69fff84ad33 \
+                    sha256  d2e0c4873e9da0a5fdf7a62e6cc9094755f0c49db5247b5ed8776f792b50db9e
 
 livecheck.url       http://kde.mirrors.hoobly.com/stable/latest/src/
 livecheck.regex     ${name}-(\\d+(\\.\\d+)+)
diff -ur dports_r98757/kde/kate/Portfile dports_kdeaux/kde/kate/Portfile
--- dports_r98757/kde/kate/Portfile	2012-10-15 16:41:14.000000000 +0900
+++ dports_kdeaux/kde/kate/Portfile	2012-09-24 20:47:30.000000000 +0900
@@ -5,7 +5,7 @@
 PortGroup           kde4   1.1
 
 name                kate
-version             4.8.3
+version             4.8.5
 categories          kde kde4
 license             LGPL-2+
 maintainers         nicos openmaintainer
@@ -20,8 +20,8 @@
 master_sites        kde:stable/${version}/src/
 use_xz              yes
 distname            kate-${version}
-checksums           rmd160  7c64a9db7dbbd1393c8e820acccf0aa738cb8407 \
-                    sha256  2307225d506d408eb2ac0c87a6c8a4494bcf11736a7989775a42387a57b12c01
+checksums           rmd160  01ac0dca795d7ceb63fdaee6e6a1baeb941ab6f8 \
+                    sha256  4e016d99d42f037dc553e8d0c69fd488715de58b6ef4831fc53ca0feceb44f8d
 
 depends_lib-append  port:kdelibs4 \
                     port:oxygen-icons
diff -ur dports_r98757/kde/kde-wallpapers/Portfile dports_kdeaux/kde/kde-wallpapers/Portfile
--- dports_r98757/kde/kde-wallpapers/Portfile	2012-10-15 16:41:15.000000000 +0900
+++ dports_kdeaux/kde/kde-wallpapers/Portfile	2012-10-05 20:18:57.000000000 +0900
@@ -5,7 +5,7 @@
 PortGroup           kde4   1.1
 
 name                kde-wallpapers
-version             4.8.3
+version             4.8.5
 categories			kde kde4
 license             LGPL-3
 maintainers         sharky
@@ -16,8 +16,8 @@
 master_sites        kde:stable/${version}/src/
 use_xz              yes
 
-checksums           rmd160  4dadcfca3a21087a622ed84c96fd4b5cf38f044b \
-                    sha256  7edfe63a62bc0882fcd95a0885c21a6259a55f836de1013a4b0380b427b5f193
+checksums           rmd160  c4a5e5981aaf3b261e92411ea0bb48f7d01c3522 \
+                    sha256  f17ef740b7d03c1b8fbb8026d2bb93b0594c4f9c3dbd7961d03672739ff57028
 
 depends_lib-append  port:kdelibs4
 
diff -ur dports_r98757/kde/kdeadmin/Portfile dports_kdeaux/kde/kdeadmin/Portfile
--- dports_r98757/kde/kdeadmin/Portfile	2012-10-15 16:41:16.000000000 +0900
+++ dports_kdeaux/kde/kdeadmin/Portfile	2012-10-05 19:51:35.000000000 +0900
@@ -5,7 +5,7 @@
 PortGroup           kde4   1.1
 
 name                kdeadmin
-version             4.8.3
+version             4.8.5
 categories          kde kde4
 maintainers         sharky michaelld
 license             GPL-2+ LGPL-2+ GFDL-1.2
@@ -20,8 +20,8 @@
 master_sites        kde:stable/${version}/src/
 use_xz              yes
 
-checksums           rmd160  8d113701452c01886a9f8ed7ff229d9d519f394e \
-                    sha256  b05d2ac0c8928fb38fab2cfbc70b9c9b80fd1428ec937d99a50da34de2dff8c3
+checksums           rmd160  dd004c14c04ca4c7c5e10e92c88783b38193b766 \
+                    sha256  a2299bc3bb1225766908bb594efc6ab8f0c149f9b85bee2042bb041027b5da75
 
 configure.args-append   -DWITH_SystemConfigPrinter=OFF \
                         -DWITH_PyQt4=OFF \
diff -ur dports_r98757/kde/kdeartwork/Portfile dports_kdeaux/kde/kdeartwork/Portfile
--- dports_r98757/kde/kdeartwork/Portfile	2012-10-15 16:41:16.000000000 +0900
+++ dports_kdeaux/kde/kdeartwork/Portfile	2012-10-05 21:28:28.000000000 +0900
@@ -5,7 +5,7 @@
 PortGroup           kde4   1.1
 
 name                kdeartwork
-version             4.8.3
+version             4.8.5
 categories          kde kde4
 maintainers         sharky michaelld
 license             GFDL-1.2 GPL-2 LGPL-2.1
@@ -21,8 +21,8 @@
 master_sites        kde:stable/${version}/src/
 use_xz              yes
 
-checksums           rmd160  72c6a4e37e42e6916773be257dd2bcafdad3f5ee \
-                    sha256  3b35b10134974e43b979ae1aafc5f9aeafcdcb7f951eb1b5a6a6a0bd4ff3363e
+checksums           rmd160  80f56ddf79bae762ea17893de2e4599db90480b6 \
+                    sha256  3b868c201e92557793e86834287a78bbf9ba3108be1dbc8209e8a23503be0c78
 
 livecheck.url       http://kde.mirrors.hoobly.com/stable/latest/src/
 livecheck.regex     ${name}-(\\d+(\\.\\d+)+)
Only in dports_r98757/kde/kdeartwork: files
diff -ur dports_r98757/kde/kdegames4/Portfile dports_kdeaux/kde/kdegames4/Portfile
--- dports_r98757/kde/kdegames4/Portfile	2012-10-15 16:41:16.000000000 +0900
+++ dports_kdeaux/kde/kdegames4/Portfile	2012-10-05 21:49:41.000000000 +0900
@@ -5,7 +5,7 @@
 PortGroup           kde4   1.1
 
 name                kdegames4
-version             4.8.3
+version             4.8.5
 categories          kde kde4
 maintainers         sharky
 license             GPL-2+ LGPL-2+ GFDL-1.2
@@ -17,8 +17,8 @@
 use_xz              yes
 distname            kdegames-${version}
 
-checksums           rmd160  e5999922392a15cca14d96351fd8f0304a903f68 \
-                    sha256  08879143c28e9ed75d1d37dff9295ebce16aa160c1c04cd4173838b254819388
+checksums           rmd160  a84a0b89bce1c0f3ad9ffff7525c1c02977aac91 \
+                    sha256  0fb58a32caf503644d88eaa60aefe25748007257bfdf2d67653d129f578392cb
 
 depends_lib-append  port:kdelibs4 port:kde4-runtime \
                     port:libsndfile port:qhull \
diff -ur dports_r98757/kde/kdemultimedia4/Portfile dports_kdeaux/kde/kdemultimedia4/Portfile
--- dports_r98757/kde/kdemultimedia4/Portfile	2012-10-15 16:41:16.000000000 +0900
+++ dports_kdeaux/kde/kdemultimedia4/Portfile	2012-10-05 21:36:48.000000000 +0900
@@ -6,8 +6,7 @@
 
 name                kdemultimedia4
 conflicts           kdelibs4-experimental
-version             4.8.3
-revision            2
+version             4.8.5
 categories          kde kde4
 maintainers         sharky
 license             GPL-2+ LGPL-2+ GFDL-1.2
@@ -19,8 +18,8 @@
 use_xz              yes
 distname            kdemultimedia-${version}
 
-checksums           rmd160  3cca6d3100eb4e4df86d322650717c7dcb11354b \
-                    sha256  9dbad22a853cfc3042305218035ad097b9cb1da287591ace410f9fe430e1b4c8
+checksums           rmd160  063da18dd4e49349573c42541e9d6e85636170f5 \
+                    sha256  47332668dd12d9c3c12e4821ddd6ee331b624a78eb50252b721aa597f80c5de6
 
 depends_lib-append  port:kde4-runtime \
                     port:libogg \
Only in dports_kdeaux/kde/kdenetwork4: .DS_Store
diff -ur dports_r98757/kde/kdenetwork4/Portfile dports_kdeaux/kde/kdenetwork4/Portfile
--- dports_r98757/kde/kdenetwork4/Portfile	2012-10-15 16:41:16.000000000 +0900
+++ dports_kdeaux/kde/kdenetwork4/Portfile	2012-10-05 22:30:11.000000000 +0900
@@ -5,7 +5,7 @@
 PortGroup           kde4   1.1
 
 name                kdenetwork4
-version             4.8.3
+version             4.8.5
 categories          kde kde4 network
 maintainers         sharky
 description         KDE4 networking applications
@@ -17,8 +17,8 @@
 use_xz              yes
 distname            kdenetwork-${version}
 
-checksums           rmd160  e5c0d17f62e76797a725f2a5605903ac4c07ad1b \
-                    sha256  9acf05bc77b3cc500b7364936882f5c5f07f3938f426ce262d4065de11cae380
+checksums           rmd160  08f222f1ee81612659e943730308b96ca7cb8b59 \
+                    sha256  322a4e04886a6269f793df5d0e20ed744024929081070a00a4a963e3d4bfe757
 
 depends_lib-append  port:kde4-runtime \
                     port:kdepimlibs4 \
Only in dports_kdeaux/kde/kdesdk4: .DS_Store
diff -ur dports_r98757/kde/kdesdk4/Portfile dports_kdeaux/kde/kdesdk4/Portfile
--- dports_r98757/kde/kdesdk4/Portfile	2012-10-15 16:41:16.000000000 +0900
+++ dports_kdeaux/kde/kdesdk4/Portfile	2012-10-05 22:03:09.000000000 +0900
@@ -5,7 +5,7 @@
 PortGroup           kde4   1.1
 
 name                kdesdk4
-version             4.8.3
+version             4.8.5
 categories          kde kde4
 maintainers         sharky
 license             GPL-2+ LGPL-2+ GFDL-1.2
@@ -17,8 +17,8 @@
 use_xz              yes
 distname            kdesdk-${version}
 
-checksums           rmd160  e57670538267c1a8859e4776666165f2647e5271 \
-                    sha256  4d4091a21c5c62e0485cf7e3e312bdbf1148b3b4eb691d5136f7bc83a50e04d4
+checksums           rmd160  c0dfdfeaeb60c5fbc932b0d53f98dbbf9dade915 \
+                    sha256  4faac65f0c451e728a7ebde3db52fc7a1bacbcf0bf71a248b07b8b8d1697cc10
 
 depends_lib-append  port:kde4-baseapps port:antlr port:boost
 
diff -ur dports_r98757/kde/kdetoys4/Portfile dports_kdeaux/kde/kdetoys4/Portfile
--- dports_r98757/kde/kdetoys4/Portfile	2012-10-15 16:41:16.000000000 +0900
+++ dports_kdeaux/kde/kdetoys4/Portfile	2012-10-05 21:08:57.000000000 +0900
@@ -5,7 +5,7 @@
 PortGroup           kde4   1.1
 
 name                kdetoys4
-version             4.8.3
+version             4.8.5
 categories          kde kde4
 maintainers         sharky
 license             GPL-2+ GFDL-1.2 LGPL-2
@@ -17,8 +17,8 @@
 use_xz              yes
 distname            kdetoys-${version}
 
-checksums           rmd160  c73566cd463dd589741d14fc6b6f5da2f23491bd \
-                    sha256  d005331fba662151bae6c0a22bc43082a7be3597640000d282e308181f9a9990
+checksums           rmd160  3829e6f3d7296501e16d2648f5060f0552af01da \
+                    sha256  3e5240e7eacd5ac9f7f6a84a8b546fe3feb84d637d6f05c13997ed5d923640f5
 
 depends_lib-append  port:kdelibs4 port:kde4-runtime
 
Only in dports_kdeaux/kde/kdewebdev: .DS_Store
diff -ur dports_r98757/kde/kdewebdev/Portfile dports_kdeaux/kde/kdewebdev/Portfile
--- dports_r98757/kde/kdewebdev/Portfile	2012-10-15 16:41:16.000000000 +0900
+++ dports_kdeaux/kde/kdewebdev/Portfile	2012-10-05 20:05:31.000000000 +0900
@@ -5,7 +5,7 @@
 PortGroup           kde4   1.1
 
 name                kdewebdev
-version             4.8.3
+version             4.8.5
 categories          kde kde4
 maintainers         sharky michaelld
 license             GPL-2+ LGPL-2+ GFDL-1.2
@@ -20,8 +20,12 @@
 master_sites        kde:stable/${version}/src/
 use_xz              yes
 
-checksums           rmd160  5aedcda1880abb6dbfe55025743c27e0c51483f8 \
-                    sha256  57c2fd8ded2041a1adf9421245f6623ef39f4a9d859976a9d2ad21ec731e05b5
+checksums           rmd160  510e56ff281dcd028ef023367890975b51bce00c \
+                    sha256  306cc4cd6b3df6bec0c08ca748eb24a266aca7d27f0f03196de2be0f6153ff0a
+
+if {![variant_isset docs]} {
+    patchfiles      patch-CMakeLists.txt.diff
+}
 
 livecheck.url       http://kde.mirrors.hoobly.com/stable/latest/src/
 livecheck.regex     ${name}-(\\d+(\\.\\d+)+)
diff -ur dports_r98757/kde/kdewebdev/files/patch-CMakeLists.txt.diff dports_kdeaux/kde/kdewebdev/files/patch-CMakeLists.txt.diff
--- dports_r98757/kde/kdewebdev/files/patch-CMakeLists.txt.diff	2012-10-15 16:41:16.000000000 +0900
+++ dports_kdeaux/kde/kdewebdev/files/patch-CMakeLists.txt.diff	2012-10-05 20:10:26.000000000 +0900
@@ -1,10 +1,9 @@
---- CMakeLists.txt.orig	2011-08-17 16:57:30.000000000 -0400
-+++ CMakeLists.txt	2011-08-17 16:57:35.000000000 -0400
-@@ -9,7 +9,6 @@
- find_package(LibKdeEdu REQUIRED)
- add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)
+--- CMakeLists.txt.orig	2012-10-05 20:05:45.000000000 +0900
++++ CMakeLists.txt	2012-10-05 20:10:02.000000000 +0900
+@@ -15,6 +15,5 @@
+ macro_optional_add_subdirectory(kfilereplace)
+ macro_optional_add_subdirectory(kimagemapeditor)
+ macro_optional_add_subdirectory(kommander)
+-macro_optional_add_subdirectory(doc)
  
--add_subdirectory( doc )
- add_subdirectory( images ) 
- add_subdirectory( src ) 
- add_subdirectory( icons ) 
+ macro_display_feature_log()
diff -ur dports_r98757/kde/konsole/Portfile dports_kdeaux/kde/konsole/Portfile
--- dports_r98757/kde/konsole/Portfile	2012-10-15 16:41:17.000000000 +0900
+++ dports_kdeaux/kde/konsole/Portfile	2012-10-14 22:05:16.000000000 +0900
@@ -5,7 +5,7 @@
 PortGroup           kde4   1.1
 
 name                konsole
-version             4.8.3
+version             4.8.5
 categories          kde kde4
 platforms           darwin
 license             GPL-2+
@@ -24,8 +24,8 @@
 distname            ${name}-${version}
 use_xz              yes
 
-checksums           rmd160  612375afc28825c5324056308644ea692af1c0da \
-                    sha256  f3b67fe4a8a65963b9d271b7e74a24159daa311ccb4b44677256d8332dc10c83
+checksums           rmd160  4d5a5b43434e8d0813f9b8d3920900d0d8889b11 \
+                    sha256  adeaae57b7c4191db0d59d95f8558778b7d8d5101b4f6f42e38edebfd8a0d415
 
 #Forcibly disabling KXB module 
 patchfiles          patch-cmake.diff