Index: /opt/macports/users/devans/GNOME-3/stable/dports/gnome/glom/Portfile
===================================================================
--- /opt/macports/users/devans/GNOME-3/stable/dports/gnome/glom/Portfile	(http://svn.macports.org/repository/macports/trunk/dports/gnome/glom)	(revision 121776)
+++ /opt/macports/users/devans/GNOME-3/stable/dports/gnome/glom/Portfile	(.../opt/macports/users/devans/GNOME-3/stable/dports/gnome/glom)	(working copy)
@@ -1,43 +1,96 @@
+# -*- coding: utf-8; mode: tcl; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- vim:fenc=utf-8:ft=tcl:et:sw=4:ts=4:sts=4
 # $Id$
-PortSystem 1.0
-name		glom
-version		1.4.2
 
-description	Glom is an easy-to-use database designer and user interface.
-long_description        ${description}
-maintainers	landonf
-categories	gnome databases
-platforms	darwin 
+PortSystem      1.0
+PortGroup       active_variants 1.1
 
-homepage	http://www.glom.org/
-master_sites    gnome:sources/glom/1.4/
+name            glom
+version         1.26.0
+set branch      [join [lrange [split ${version} .] 0 1] .]
+license         GPL-2
+description     Glom is an easy-to-use database designer and user interface.
+long_description \
+                ${description} This version supports GTK+ 3 and the libgda-5.0 API.
+maintainers     landonf
+categories      gnome databases
+platforms       darwin
 
-checksums	md5 71c868a2e8e85e96bdbbf78608228bc8
-use_bzip2 	yes
+homepage        http://www.glom.org/
+master_sites    gnome:sources/${name}/${branch}/
 
-depends_lib	port:bakery port:libgdamm port:libgnomecanvasmm \
-		port:gnome-session port:python24 \
-		port:iso-codes port:libgtksourceviewmm \
-		port:libiconv port:postgresql81 port:gettext \
-		port:gnome-python-extras
+use_xz          yes
 
-post-patch {
-	reinplace s/-lutil//g	${worksrcpath}/glom/libglom/Makefile.in \
-				${worksrcpath}/glom/Makefile.in \
-				${worksrcpath}/glom/python_embed/python_module/Makefile.in
+checksums       rmd160  3f48af233fba992dbd86a99dc276d20d631a9a82 \
+                sha256  f53a2d46f766d4e50b1cde0edc4408b443f22db7662f47dd80f7b1a545050024
+
+depends_build   port:pkgconfig \
+                port:intltool \
+                port:itstool \
+                port:yelp-tools \
+                port:mm-common \
+                port:graphviz \
+                port:doxygen \
+                port:libxslt \
+                port:py27-sphinx
+
+depends_lib     port:desktop-file-utils \
+                port:libarchive \
+                port:gtkmm3 \
+                port:boost \
+                port:libxml2 \
+                port:libxmlxx2 \
+                port:libgda5 \
+                port:libgdamm5 \
+                port:goocanvasmm2\
+                port:gtksourceviewmm3 \
+                port:postgresql93 \
+                port:py27-gobject3 \
+                port:libepc \
+                port:evince \
+                port:shared-mime-info
+
+depends_run     port:gnome-settings-daemon \
+                port:yelp \
+                port:gnome-keyring
+
+patchfiles      patch-configure.ac.diff \
+                patch-glom-libglom-connectionpool.cc.diff
+
+require_active_variants libgda5 postgresql93
+
+# update macros/intltool.m4 and autoreconf
+
+pre-configure {
+    copy -force ${prefix}/share/aclocal/intltool.m4 ${worksrcpath}/macros
 }
 
-configure.cflags-append "-I${prefix}/include -L${prefix}/lib"
-configure.env	PYTHON_EXEC_PREFIX="${prefix}" \
-		PYTHON_PREFIX="${prefix}"
+use_autoreconf  yes
+autoreconf.args -fvi
 
-configure.args	--with-postgres-utils=${prefix}/lib/postgresql81/bin \
-		--disable-scrollkeeper
+set python.branch   2.7
+set python.prefix   ${frameworks_dir}/Python.framework/Versions/${python.branch}
 
-build.args	MSGFMT="${prefix}/bin/msgfmt" GMSGFMT="${prefix}/bin/msgfmt"
+configure.pkg_config_path ${python.prefix}/lib/pkgconfig
+configure.python          ${prefix}/bin/python${python.branch}
 
-post-destroot {
-	file delete "${destpath}${prefix}/share/mime/globs"
-	file delete "${destpath}${prefix}/share/mime/magic"
-	file delete "${destpath}${prefix}/share/mime/XMLnamespaces"
+configure.env   SPHINX_BUILD=${prefix}/bin/sphinx-build-${python.branch} \
+                PYTHON_EXTRA_LDFLAGS=' '
+
+configure.perl  ${prefix}/bin/perl5.16
+
+configure.args  --with-boost-python=mt \
+                --with-postgres-utils=${prefix}/lib/postgresql93/bin \
+                --disable-mysql \
+                --disable-silent-rules \
+                --disable-update-mime-database \
+                --disable-documentation
+
+universal_variant no
+
+post-activate {
+    system "${prefix}/bin/update-desktop-database ${prefix}/share/applications"
+    system "${prefix}/bin/gtk-update-icon-cache-3.0 -f -t ${prefix}/share/icons/hicolor"
+    system "${prefix}/bin/update-mime-database ${prefix}/share/mime"
 }
+
+livecheck.type gnome
Index: /opt/macports/users/devans/GNOME-3/stable/dports/gnome/glom/files/patch-configure.ac.diff
===================================================================
--- /opt/macports/users/devans/GNOME-3/stable/dports/gnome/glom/files/patch-configure.ac.diff	(http://svn.macports.org/repository/macports/trunk/dports/gnome/glom)	(revision 0)
+++ /opt/macports/users/devans/GNOME-3/stable/dports/gnome/glom/files/patch-configure.ac.diff	(.../opt/macports/users/devans/GNOME-3/stable/dports/gnome/glom)	(revision 121763)
@@ -0,0 +1,43 @@
+--- configure.ac.orig	2014-03-06 07:48:22.000000000 -0800
++++ configure.ac	2014-04-11 01:13:02.000000000 -0700
+@@ -63,8 +63,8 @@
+ # i18n
+ IT_PROG_INTLTOOL([0.35])
+ 
+-AM_GNU_GETTEXT([external])
+-AM_GNU_GETTEXT_VERSION([0.17])
++#AM_GNU_GETTEXT([external])
++#AM_GNU_GETTEXT_VERSION([0.17])
+ 
+ AC_SUBST([GETTEXT_PACKAGE], [glom])
+ AC_DEFINE([GETTEXT_PACKAGE], [PACKAGE_TARNAME], [Define to the gettext package name.])
+@@ -157,7 +157,10 @@
+ 
+ 
+ # Libraries used by libglom:
+-REQUIRED_LIBGLOM_LIBS='giomm-2.4 >= 2.32.0 libxml++-2.6 >= 2.23.1 libxslt >= 1.1.10 pygobject-3.0 >= 2.29.0 libgdamm-5.0 >= 4.99.6 libgda-5.0 >= 5.2.1 libgda-postgres-5.0 libgda-postgres-5.0 libgda-mysql-5.0 libarchive >= 3.0'
++REQUIRED_LIBGLOM_LIBS='giomm-2.4 >= 2.32.0 libxml++-2.6 >= 2.23.1 libxslt >= 1.1.10 pygobject-3.0 >= 2.29.0 libgdamm-5.0 >= 4.99.6 libgda-5.0 >= 5.2.1 libgda-postgres-5.0 libgda-postgres-5.0 libarchive >= 3.0'
++
++AS_IF([test "x$glom_enable_mysql" = xyes],
++      [REQUIRED_LIBGLOM_LIBS="$REQUIRED_LIBGLOM_LIBS libgda-mysql-5.0"])
+ 
+ AS_IF([test "x$glom_host_win32" != xyes],
+       [REQUIRED_LIBGLOM_LIBS="$REQUIRED_LIBGLOM_LIBS libepc-1.0 >= 0.4.0"])
+@@ -224,6 +227,17 @@
+ # so we can use pyexec_LTLIBRARIES in the .am files:
+ AM_PATH_PYTHON
+ 
++dnl Override standard python locations with MacPorts version specific ones
++
++AC_SUBST([PYTHON_PREFIX], [`$PYTHON -c 'import sys; print(sys.prefix);'`])
++AC_SUBST([PYTHON_EXEC_PREFIX], [`$PYTHON -c 'import sys; print(sys.exec_prefix)'`])
++
++am_cv_python_pythondir=$PYTHON_PREFIX/lib/python$PYTHON_VERSION/site-packages
++am_cv_python_pyexecdir=$PYTHON_EXEC_PREFIX/lib/python$PYTHON_VERSION/site-packages
++
++AC_SUBST([pythondir], [$am_cv_python_pythondir])
++AC_SUBST([pyexecdir], [$am_cv_python_pyexecdir])
++
+ # Get the compiler and linker flags for embedding Python.
+ # To specify a particular python version you must set an environment variable.
+ # For instance:
Index: /opt/macports/users/devans/GNOME-3/stable/dports/gnome/glom/files/patch-glom-frame_glom.cc.diff
===================================================================
--- /opt/macports/users/devans/GNOME-3/stable/dports/gnome/glom/files/patch-glom-frame_glom.cc.diff	(http://svn.macports.org/repository/macports/trunk/dports/gnome/glom)	(revision 0)
+++ /opt/macports/users/devans/GNOME-3/stable/dports/gnome/glom/files/patch-glom-frame_glom.cc.diff	(.../opt/macports/users/devans/GNOME-3/stable/dports/gnome/glom)	(revision 121763)
@@ -0,0 +1,11 @@
+--- glom/frame_glom.cc.orig	2013-04-16 00:35:35.000000000 -0700
++++ glom/frame_glom.cc	2013-04-16 00:35:55.000000000 -0700
+@@ -1576,7 +1576,7 @@
+   //Get the fields information from the database:
+   DbUtils::type_vec_fields fieldsDatabase = DbUtils::get_fields_for_table_from_database(m_table_name);
+ 
+-  Document* pDoc = dynamic_cast<const Document*>(get_document());
++  Document* pDoc = dynamic_cast<Document*>(get_document());
+   if(pDoc)
+   {
+     bool document_must_be_updated = false;
Index: /opt/macports/users/devans/GNOME-3/stable/dports/gnome/glom/files/patch-glom-libglom-connectionpool.cc.diff
===================================================================
--- /opt/macports/users/devans/GNOME-3/stable/dports/gnome/glom/files/patch-glom-libglom-connectionpool.cc.diff	(http://svn.macports.org/repository/macports/trunk/dports/gnome/glom)	(revision 0)
+++ /opt/macports/users/devans/GNOME-3/stable/dports/gnome/glom/files/patch-glom-libglom-connectionpool.cc.diff	(.../opt/macports/users/devans/GNOME-3/stable/dports/gnome/glom)	(revision 121763)
@@ -0,0 +1,11 @@
+--- glom/libglom/connectionpool.cc.orig	2014-01-28 03:01:43.000000000 -0800
++++ glom/libglom/connectionpool.cc	2014-04-10 15:16:29.000000000 -0700
+@@ -612,7 +612,7 @@
+ // TODO: This is probably mingw specific
+ static __p_sig_fn_t previous_sig_handler = SIG_DFL;
+ #else
+-static sighandler_t previous_sig_handler = SIG_DFL; /* Arbitrary default */
++static sig_t previous_sig_handler = SIG_DFL; /* Arbitrary default */
+ #endif
+ 
+ /* This is a Linux/Unix signal handler,
Index: /opt/macports/users/devans/GNOME-3/stable/dports/gnome/glom/files/patch-macros-ax_python_devel.m4.diff
===================================================================
--- /opt/macports/users/devans/GNOME-3/stable/dports/gnome/glom/files/patch-macros-ax_python_devel.m4.diff	(http://svn.macports.org/repository/macports/trunk/dports/gnome/glom)	(revision 0)
+++ /opt/macports/users/devans/GNOME-3/stable/dports/gnome/glom/files/patch-macros-ax_python_devel.m4.diff	(.../opt/macports/users/devans/GNOME-3/stable/dports/gnome/glom)	(revision 121763)
@@ -0,0 +1,11 @@
+--- macros/ax_python_devel.m4.orig	2014-04-10 15:29:03.000000000 -0700
++++ macros/ax_python_devel.m4	2014-04-10 15:32:54.000000000 -0700
+@@ -289,7 +289,7 @@
+ 	# save current global flags
+ 	ac_save_LIBS="$LIBS"
+ 	ac_save_CPPFLAGS="$CPPFLAGS"
+-	LIBS="$ac_save_LIBS $PYTHON_LDFLAGS $PYTHON_EXTRA_LDFLAGS $PYTHON_EXTRA_LIBS"
++	LIBS="$ac_save_LIBS $PYTHON_LDFLAGS $PYTHON_EXTRA_LIBS"
+ 	CPPFLAGS="$ac_save_CPPFLAGS $PYTHON_CPPFLAGS"
+ 	AC_LANG_PUSH([C])
+ 	AC_LINK_IFELSE([
Index: /opt/macports/users/devans/GNOME-3/stable/dports/gnome/glom
===================================================================
--- /opt/macports/users/devans/GNOME-3/stable/dports/gnome/glom	(http://svn.macports.org/repository/macports/trunk/dports/gnome/glom)	(revision 121776)
+++ /opt/macports/users/devans/GNOME-3/stable/dports/gnome/glom	(.../opt/macports/users/devans/GNOME-3/stable/dports/gnome/glom)	(working copy)

Property changes on: /opt/macports/users/devans/GNOME-3/stable/dports/gnome/glom
___________________________________________________________________
Added: svn:mergeinfo
   Merged /users/rmstonecipher/gnome/glom:r102363-103172
   Merged /branches/mld-qt-481/dports/gnome/glom:r92720,92813,92891,92963,93522,93556,93699,93743,93771-93773,93806,93817-93818,93856