--- wml-2.0.11/wml_backend/p6_asubst/Makefile.in.orig	2012-10-01 13:48:07.000000000 +0200
+++ wml-2.0.11/wml_backend/p6_asubst/Makefile.in	2012-10-01 13:46:18.000000000 +0200
@@ -34,7 +34,7 @@
 .SUFFIXES: .pl .1 .src
 
 .src.pl:
-	sed -e '/^=head1/,/^=cut/d' \
+	LANG="C" sed -e '/^=head1/,/^=cut/d' \
         -e '/^__END__/,$$d' \
 	-e 's|\@PATH_PERL\@|$(PATH_PERL)|g' \
         -e 's|\@INSTALLPRIVLIB\@|$(INSTALLPRIVLIB)|g' \
--- wml-2.0.11/wml_aux/freetable//Makefile.in.orig	2012-10-01 13:50:58.000000000 +0200
+++ wml-2.0.11/wml_aux/freetable//Makefile.in	2012-10-01 13:51:25.000000000 +0200
@@ -18,7 +18,7 @@
 .SUFFIXES: .pl .1 .src
 
 .src.pl:
-	sed -e 's|\@PATH_PERL\@|$(PATH_PERL)|g' \
+	LANG="C" sed -e 's|\@PATH_PERL\@|$(PATH_PERL)|g' \
           <$< >$@ && chmod a+x $@
 
 .src.1:
--- wml-2.0.11/wml_backend/p2_mp4h/doc/Makefile.in.orig	2012-10-01 13:53:38.000000000 +0200
+++ wml-2.0.11/wml_backend/p2_mp4h/doc/Makefile.in	2012-10-01 13:54:44.000000000 +0200
@@ -275,14 +275,14 @@
 	for i in $$list; do \
 	  if test -f $(srcdir)/$$i; then file=$(srcdir)/$$i; \
 	  else file=$$i; fi; \
-	  ext=`echo $$i | sed -e 's/^.*\\.//'`; \
+	  ext=`echo $$i | LANG="C" sed -e 's/^.*\\.//'`; \
 	  case "$$ext" in \
 	    1*) ;; \
 	    *) ext='1' ;; \
 	  esac; \
-	  inst=`echo $$i | sed -e 's/\\.[0-9a-z]*$$//'`; \
-	  inst=`echo $$inst | sed -e 's/^.*\///'`; \
-	  inst=`echo $$inst | sed '$(transform)'`.$$ext; \
+	  inst=`echo $$i | LANG="C" sed -e 's/\\.[0-9a-z]*$$//'`; \
+	  inst=`echo $$inst | LANG="C" sed -e 's/^.*\///'`; \
+	  inst=`echo $$inst | LANG="C" sed '$(transform)'`.$$ext; \
 	  echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man1dir)/$$inst'"; \
 	  $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man1dir)/$$inst"; \
 	done
@@ -296,14 +296,14 @@
 	  esac; \
 	done; \
 	for i in $$list; do \
-	  ext=`echo $$i | sed -e 's/^.*\\.//'`; \
+	  ext=`echo $$i | LANG="C" sed -e 's/^.*\\.//'`; \
 	  case "$$ext" in \
 	    1*) ;; \
 	    *) ext='1' ;; \
 	  esac; \
-	  inst=`echo $$i | sed -e 's/\\.[0-9a-z]*$$//'`; \
-	  inst=`echo $$inst | sed -e 's/^.*\///'`; \
-	  inst=`echo $$inst | sed '$(transform)'`.$$ext; \
+	  inst=`echo $$i | LANG="C" sed -e 's/\\.[0-9a-z]*$$//'`; \
+	  inst=`echo $$inst | LANG="C" sed -e 's/^.*\///'`; \
+	  inst=`echo $$inst | LANG="C" sed '$(transform)'`.$$ext; \
 	  echo " rm -f '$(DESTDIR)$(man1dir)/$$inst'"; \
 	  rm -f "$(DESTDIR)$(man1dir)/$$inst"; \
 	done
@@ -315,15 +315,15 @@
 
 
 distdir: $(DISTFILES)
-	@srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
-	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
+	@srcdirstrip=`echo "$(srcdir)" | LANG="C" sed 's|.|.|g'`; \
+	topsrcdirstrip=`echo "$(top_srcdir)" | LANG="C" sed 's|.|.|g'`; \
 	list='$(DISTFILES)'; for file in $$list; do \
 	  case $$file in \
-	    $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
-	    $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
+	    $(srcdir)/*) file=`echo "$$file" | LANG="C" sed "s|^$$srcdirstrip/||"`;; \
+	    $(top_srcdir)/*) file=`echo "$$file" | LANG="C" sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
 	  esac; \
 	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
-	  dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
+	  dir=`echo "$$file" | LANG="C" sed -e 's,/[^/]*$$,,'`; \
 	  if test "$$dir" != "$$file" && test "$$dir" != "."; then \
 	    dir="/$$dir"; \
 	    $(mkdir_p) "$(distdir)$$dir"; \
@@ -452,11 +452,11 @@
 
 mp4h.pod: mp4h.mp4h pod.out $(PROGRAM) $(DEPS)
 	$(PROGRAM) $(FLAGS) -D format=pod $(srcdir)/mp4h.mp4h \
-        | sed -e 's/_LT_/</g' -e 's/_GT_/>/g' > $@
+        | LANG="C" sed -e 's/_LT_/</g' -e 's/_GT_/>/g' > $@
 
 mp4h.texi: mp4h.mp4h texinfo.out $(PROGRAM) $(DEPS)
 	$(PROGRAM) $(FLAGS) -D format=texinfo -D info:gentoc=1 $(srcdir)/mp4h.mp4h |\
-   grep '@remove@' | sed -e 's/@remove@//' -e 's/=LT=/</g' > mp4h.chp
+   grep '@remove@' | LANG="C" sed -e 's/@remove@//' -e 's/=LT=/</g' > mp4h.chp
 	$(PROGRAM) $(FLAGS) -D format=texinfo $(srcdir)/mp4h.mp4h > $@
 
 $(PROGRAM):
--- wml-2.0.11/wml_include/Makefile.in.orig	2012-10-01 13:56:20.000000000 +0200
+++ wml-2.0.11/wml_include/Makefile.in	2012-10-01 13:56:53.000000000 +0200
@@ -39,14 +39,14 @@
 	@set -e; \
 	files=`echo [a-z]*.src [a-z]*/*.src`; \
 	for file in $$files; do \
-	    base=`echo $$file | sed -e 's/\.src$$//g'`; \
-	    name=`echo wml/$$base | sed -e 's/\//$(DCOLON)/g'`; \
+	    base=`echo $$file | LANG="C" sed -e 's/\.src$$//g'`; \
+	    name=`echo wml/$$base | LANG="C" sed -e 's/\//$(DCOLON)/g'`; \
 	    if ls -1t $$base.wml $$base.src 2>/dev/null \
-	       | sed 1q | grep "^$$base.wml\$$" >/dev/null 2>&1; then \
+	       | LANG="C" sed 1q | grep "^$$base.wml\$$" >/dev/null 2>&1; then \
 	        :; \
 	    else \
 	        echo "Creating $$name"; \
-	        sed -e '/^=head1/,/^=cut/d' -e '/^__END__/,$$d' \
+	        LANG="C" sed -e '/^=head1/,/^=cut/d' -e '/^__END__/,$$d' \
                    <$$base.src >$$base.wml; \
 	        cp $$base.src $$name.pod; \
 	        pod2man --section=1 \
@@ -58,7 +58,7 @@
 	done
 
 sys/bootp3.src: sys/bootp3.src.in
-	sed -e 's|\@INSTALLPRIVLIB\@|$(INSTALLPRIVLIB)|g' \
+	LANG="C" sed -e 's|\@INSTALLPRIVLIB\@|$(INSTALLPRIVLIB)|g' \
 	    -e 's|\@INSTALLARCHLIB\@|$(INSTALLARCHLIB)|g' \
 	    <$? >$@
 
@@ -66,9 +66,9 @@
 	@set -e; \
 	files=`echo [a-z]*.wml [a-z]*/*.wml`; \
 	for file in $$files; do \
-	    base=`echo $$file | sed -e 's/\.wml$$//g'`; \
-	    dir=`echo $$file | sed -e 's/[a-zA-Z0-9_]*.wml$$//g'`; \
-	    name=`echo wml/$$base | sed -e 's/\//$(DCOLON)/g'`; \
+	    base=`echo $$file | LANG="C" sed -e 's/\.wml$$//g'`; \
+	    dir=`echo $$file | LANG="C" sed -e 's/[a-zA-Z0-9_]*.wml$$//g'`; \
+	    name=`echo wml/$$base | LANG="C" sed -e 's/\//$(DCOLON)/g'`; \
 	    if [ ! -d "$(libdir)/include/$$dir" ]; then \
 	        echo "$(MKDIR) $(libdir)/include/$$dir"; \
 	        $(MKDIR) $(libdir)/include/$$dir; \