Index: files/patch-src_plugins_Makefile.diff
===================================================================
--- files/patch-src_plugins_Makefile.diff	(revision 101929)
+++ files/patch-src_plugins_Makefile.diff	(working copy)
@@ -1,13 +1,13 @@
---- src/plugins/Makefile.in.orig	2012-12-16 00:47:36.000000000 +0100
-+++ src/plugins/Makefile.in	2012-12-16 00:48:49.000000000 +0100
-@@ -831,8 +831,8 @@
+--- src/plugins/Makefile.in.orig	2012-11-18 04:29:13.000000000 -0600
++++ src/plugins/Makefile.in	2013-01-21 23:33:16.000000000 -0600
+@@ -841,8 +841,8 @@
  # install plugin header
  
  install-data-hook:
 -	$(INSTALL) -d $(includedir)/$(PACKAGE)
 -	$(INSTALL_DATA) $(abs_top_srcdir)/src/plugins/weechat-plugin.h $(includedir)/$(PACKAGE)
-+	$(INSTALL) -d $(DESTDIR)/$(includedir)/$(PACKAGE)
-+	$(INSTALL_DATA) $(abs_top_srcdir)/src/plugins/weechat-plugin.h $(DESTDIR)/$(includedir)/$(PACKAGE)
++	$(INSTALL) -d $(DESTDIR)$(includedir)/$(PACKAGE)
++	$(INSTALL_DATA) $(abs_top_srcdir)/src/plugins/weechat-plugin.h $(DESTDIR)$(includedir)/$(PACKAGE)
  
  # uninstall plugin header
  
Index: Portfile
===================================================================
--- Portfile	(revision 101929)
+++ Portfile	(working copy)
@@ -1,10 +1,11 @@
 # -*- coding: utf-8; mode: tcl; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- vim:fenc=utf-8:ft=tcl:et:sw=4:ts=4:sts=4
 # $Id$
 
-PortSystem 1.0
+PortSystem  1.0
+PortGroup   cmake 1.0
 
 name        weechat
-version     0.3.9
+version     0.3.9.2
 categories  irc
 maintainers otherware.org:nefar openmaintainer
 license     GPL-3
@@ -24,60 +25,59 @@
 platforms   darwin
 master_sites    ${homepage}files/src
 
-checksums           rmd160  eb159b3ff8b074aaeb6002a2247b2d909cbf1937 \
-                    sha256  9e121aba26b6bb5cef94db22d7d77b2d8f189c910bf07ffc542a08baab79deb0
+checksums           rmd160  9117e1d88b6e105cf3d5de189cdb7575f18ab980 \
+                    sha256  5e9cb967be7d6496c37d4b05dbff5144796954a7abdd21f3f5e4305f772f7532
 
-depends_build   port:pkgconfig
-depends_lib port:gettext port:libiconv port:ncurses port:libgcrypt
+depends_lib-append  port:gettext port:libiconv port:ncurses port:libgcrypt
 
 patchfiles       \
     patch-src_plugins_Makefile.diff \
     patch-src_plugins_script_script_repo.diff
 
-configure.args  --without-debug --disable-gnutls --disable-lua \
-        --disable-perl --disable-python --disable-ruby --disable-aspell --disable-guile
+configure.args  -DENABLE_GNUTLS=OFF -DENABLE_LUA=OFF -DENABLE_GUILE=OFF \
+        -DENABLE_PERL=OFF -DENABLE_PYTHON=OFF -DENABLE_RUBY=OFF -DENABLE_ASPELL=OFF
 
 use_bzip2   yes
 
 variant aspell description {Support for aspell} {
-    configure.args-delete   --disable-aspell
-    configure.args-append   --enable-aspell
+    configure.args-delete   -DENABLE_ASPELL=OFF
+    configure.args-append   -DENABLE_ASPELL=ON
     depends_lib-append      port:aspell
 }
 
 variant lua description {Bindings for lua plugins} {
-    configure.args-delete --disable-lua
-    configure.args-append --enable-lua
+    configure.args-delete -DENABLE_LUA=OFF
+    configure.args-append -DENABLE_LUA=ON
     depends_lib-append    port:lua
 }
 
 variant scheme description {Bindings for Scheme (guile) plugins} {
-    configure.args-delete --disable-guile
-    configure.args-append --enable-guile
+    configure.args-delete -DENABLE_GUILE=OFF
+    configure.args-append -DENABLE_GUILE=ON
     depends_lib-append    port:guile
 }
 
 variant perl description {Bindings for perl plugins} {
-    configure.args-delete --disable-perl
-    configure.args-append --enable-perl
+    configure.args-delete -DENABLE_PERL=OFF
+    configure.args-append -DENABLE_PERL=ON
     depends_lib-append    path:bin/perl:perl5
 }
 
 variant python description {Bindings for python plugins} {
-    configure.args-delete   --disable-python
-    configure.args-append   --enable-python
+    configure.args-delete   -DENABLE_PYTHON=OFF
+    configure.args-append   -DENABLE_PYTHON=ON
     depends_lib-append      path:bin/python:python26
 }
 
 variant ruby description {Bindings for ruby plugins} {
-    configure.args-delete --disable-ruby
-    configure.args-append --enable-ruby
+    configure.args-delete -DENABLE_RUBY=OFF
+    configure.args-append -DENABLE_RUBY=ON
     depends_lib-append    port:ruby
 }
 
 variant tls description {Support for secure connecting} {
-    configure.args-delete --disable-gnutls
-    configure.args-append --enable-gnutls
+    configure.args-delete -DENABLE_GNUTLS=OFF
+    configure.args-append -DENABLE_GNUTLS=ON
     depends_lib-append    port:gnutls
 }
 