Index: dports/sysutils/cfengine3/files/patch-configure.diff
===================================================================
--- dports/sysutils/cfengine3/files/patch-configure.diff	(revision 0)
+++ dports/sysutils/cfengine3/files/patch-configure.diff	(revision 0)
@@ -0,0 +1,146 @@
+--- configure.orig	2013-02-12 09:40:18.000000000 -0800
++++ configure	2013-02-12 10:41:47.000000000 -0800
+@@ -10497,7 +10497,7 @@
+         archive_expsym_cmds='$CC -o $output_objdir/$soname $libobjs $deplibs '"\${wl}$no_entry_flag"' $compiler_flags `if test "x${allow_undefined_flag}" != "x"; then func_echo_all "${wl}${allow_undefined_flag}"; else :; fi` '"\${wl}$exp_sym_flag:\$export_symbols $shared_flag"
+       else
+ 	if test "$host_cpu" = ia64; then
+-	  hardcode_libdir_flag_spec='${wl}-R $libdir:/usr/lib:/lib'
++	  hardcode_libdir_flag_spec='${wl}-rpath $libdir:/usr/lib:/lib'
+ 	  allow_undefined_flag="-z nodefs"
+ 	  archive_expsym_cmds="\$CC $shared_flag"' -o $output_objdir/$soname $libobjs $deplibs '"\${wl}$no_entry_flag"' $compiler_flags ${wl}${allow_undefined_flag} '"\${wl}$exp_sym_flag:\$export_symbols"
+ 	else
+@@ -10695,7 +10695,7 @@
+     # extra space).
+     freebsd2.2*)
+       archive_cmds='$LD -Bshareable -o $lib $libobjs $deplibs $linker_flags /usr/lib/c++rt0.o'
+-      hardcode_libdir_flag_spec='-R$libdir'
++      hardcode_libdir_flag_spec='-rpath $libdir'
+       hardcode_direct=yes
+       hardcode_shlibpath_var=no
+       ;;
+@@ -10711,7 +10711,7 @@
+     # FreeBSD 3 and greater uses gcc -shared to do shared libraries.
+     freebsd* | dragonfly*)
+       archive_cmds='$CC -shared $pic_flag -o $lib $libobjs $deplibs $compiler_flags'
+-      hardcode_libdir_flag_spec='-R$libdir'
++      hardcode_libdir_flag_spec='-rpath $libdir'
+       hardcode_direct=yes
+       hardcode_shlibpath_var=no
+       ;;
+@@ -10887,7 +10887,7 @@
+       else
+ 	archive_cmds='$LD -shared -o $lib $libobjs $deplibs $linker_flags'      # ELF
+       fi
+-      hardcode_libdir_flag_spec='-R$libdir'
++      hardcode_libdir_flag_spec='-rpath $libdir'
+       hardcode_direct=yes
+       hardcode_shlibpath_var=no
+       ;;
+@@ -10917,7 +10917,7 @@
+ 	  case $host_os in
+ 	   openbsd[01].* | openbsd2.[0-7] | openbsd2.[0-7].*)
+ 	     archive_cmds='$LD -Bshareable -o $lib $libobjs $deplibs $linker_flags'
+-	     hardcode_libdir_flag_spec='-R$libdir'
++	     hardcode_libdir_flag_spec='-rpath $libdir'
+ 	     ;;
+ 	   *)
+ 	     archive_cmds='$CC -shared $pic_flag -o $lib $libobjs $deplibs $compiler_flags'
+@@ -10992,7 +10992,7 @@
+ 	  ;;
+ 	esac
+       fi
+-      hardcode_libdir_flag_spec='-R$libdir'
++      hardcode_libdir_flag_spec='-rpath $libdir'
+       hardcode_shlibpath_var=no
+       case $host_os in
+       solaris2.[0-5] | solaris2.[0-5].*) ;;
+@@ -11089,7 +11089,7 @@
+       allow_undefined_flag='${wl}-z,nodefs'
+       archive_cmds_need_lc=no
+       hardcode_shlibpath_var=no
+-      hardcode_libdir_flag_spec='${wl}-R,$libdir'
++      hardcode_libdir_flag_spec='${wl}-rpath,$libdir'
+       hardcode_libdir_separator=':'
+       link_all_deplibs=yes
+       export_dynamic_flag_spec='${wl}-Bexport'
+@@ -13868,7 +13868,7 @@
+   #
+   if test "x$with_postgresql" != xyes && test "x$with_postgresql" != xcheck; then
+     if test "x$with_postgresql" != x/usr && test "x$with_postgresql" != x/; then
+-      POSTGRESQL_LDFLAGS="$POSTGRESQL_LDFLAGS -Wl,-R$with_postgresql/lib"
++      POSTGRESQL_LDFLAGS="$POSTGRESQL_LDFLAGS -Wl,-rpath,$with_postgresql/lib"
+     fi
+   fi
+ 
+@@ -14055,7 +14055,7 @@
+   #
+   if test "x$with_mysql" != xyes && test "x$with_mysql" != xcheck; then
+     if test "x$with_mysql" != x/usr && test "x$with_mysql" != x/; then
+-      MYSQL_LDFLAGS="$MYSQL_LDFLAGS -Wl,-R$with_mysql/lib"
++      MYSQL_LDFLAGS="$MYSQL_LDFLAGS -Wl,-rpath,$with_mysql/lib"
+     fi
+   fi
+ 
+@@ -14214,7 +14214,7 @@
+   #
+   if test "x$with_qdbm" != xyes && test "x$with_qdbm" != xcheck; then
+     if test "x$with_qdbm" != x/usr && test "x$with_qdbm" != x/; then
+-      QDBM_LDFLAGS="$QDBM_LDFLAGS -Wl,-R$with_qdbm/lib"
++      QDBM_LDFLAGS="$QDBM_LDFLAGS -Wl,-rpath,$with_qdbm/lib"
+     fi
+   fi
+ 
+@@ -14367,7 +14367,7 @@
+   #
+   if test "x$with_tokyocabinet" != xyes && test "x$with_tokyocabinet" != xcheck; then
+     if test "x$with_tokyocabinet" != x/usr && test "x$with_tokyocabinet" != x/; then
+-      TOKYOCABINET_LDFLAGS="$TOKYOCABINET_LDFLAGS -Wl,-R$with_tokyocabinet/lib"
++      TOKYOCABINET_LDFLAGS="$TOKYOCABINET_LDFLAGS -Wl,-rpath,$with_tokyocabinet/lib"
+     fi
+   fi
+ 
+@@ -14527,7 +14527,7 @@
+   #
+   if test "x$with_openssl" != xyes && test "x$with_openssl" != xcheck; then
+     if test "x$with_openssl" != x/usr && test "x$with_openssl" != x/; then
+-      OPENSSL_LDFLAGS="$OPENSSL_LDFLAGS -Wl,-R$with_openssl/lib"
++      OPENSSL_LDFLAGS="$OPENSSL_LDFLAGS -Wl,-rpath,$with_openssl/lib"
+     fi
+   fi
+ 
+@@ -14674,7 +14674,7 @@
+   #
+   if test "x$with_pcre" != xyes && test "x$with_pcre" != xcheck; then
+     if test "x$with_pcre" != x/usr && test "x$with_pcre" != x/; then
+-      PCRE_LDFLAGS="$PCRE_LDFLAGS -Wl,-R$with_pcre/lib"
++      PCRE_LDFLAGS="$PCRE_LDFLAGS -Wl,-rpath,$with_pcre/lib"
+     fi
+   fi
+ 
+@@ -14805,7 +14805,7 @@
+   #
+   if test "x$with_libvirt" != xyes && test "x$with_libvirt" != xcheck; then
+     if test "x$with_libvirt" != x/usr && test "x$with_libvirt" != x/; then
+-      LIBVIRT_LDFLAGS="$LIBVIRT_LDFLAGS -Wl,-R$with_libvirt/lib"
++      LIBVIRT_LDFLAGS="$LIBVIRT_LDFLAGS -Wl,-rpath,$with_libvirt/lib"
+     fi
+   fi
+ 
+@@ -14938,7 +14938,7 @@
+   #
+   if test "x$with_libacl" != xyes && test "x$with_libacl" != xcheck; then
+     if test "x$with_libacl" != x/usr && test "x$with_libacl" != x/; then
+-      LIBACL_LDFLAGS="$LIBACL_LDFLAGS -Wl,-R$with_libacl/lib"
++      LIBACL_LDFLAGS="$LIBACL_LDFLAGS -Wl,-rpath,$with_libacl/lib"
+     fi
+   fi
+ 
+@@ -15084,7 +15084,7 @@
+   #
+   if test "x$with_libxml2" != xyes && test "x$with_libxml2" != xcheck; then
+     if test "x$with_libxml2" != x/usr && test "x$with_libxml2" != x/; then
+-      LIBXML2_LDFLAGS="$LIBXML2_LDFLAGS -Wl,-R$with_libxml2/lib"
++      LIBXML2_LDFLAGS="$LIBXML2_LDFLAGS -Wl,-rpath,$with_libxml2/lib"
+     fi
+   fi
+ 
Index: dports/sysutils/cfengine3/files/patch-src-files_operators.c.diff
===================================================================
--- dports/sysutils/cfengine3/files/patch-src-files_operators.c.diff	(revision 103060)
+++ dports/sysutils/cfengine3/files/patch-src-files_operators.c.diff	(working copy)
@@ -1,11 +0,0 @@
---- src/files_operators.c.orig	2010-06-06 09:31:47.000000000 -0700
-+++ src/files_operators.c	2010-06-30 15:01:45.000000000 -0700
-@@ -588,7 +588,7 @@
- 
- Debug("VerifyFinderType of %s for %s\n", file,a.perms.findertype);
- 
--if (strncmp(a.perms.findertype,"*",CF_BUFSIZE) == 0 || strncmp(a.perms.findertype,"",CF_BUFSIZE) == 0)
-+if (!a.perms.findertype || strncmp(a.perms.findertype,"*",CF_BUFSIZE) == 0 || strncmp(a.perms.findertype,"",CF_BUFSIZE) == 0)
-    {
-    return 0;
-    }
Index: dports/sysutils/cfengine3/Portfile
===================================================================
--- dports/sysutils/cfengine3/Portfile	(revision 103060)
+++ dports/sysutils/cfengine3/Portfile	(working copy)
@@ -5,9 +5,9 @@
 
 name                cfengine3
 conflicts           cfengine
-version             3.1.2
-revision            7
+version             3.4.2
 categories          sysutils
+platforms           darwin
 license             GPL-3
 maintainers         nomaintainer
 description         network configuration-management tool
@@ -20,32 +20,22 @@
 homepage            http://cfengine.com/
 distname            cfengine-${version}
 master_sites        ${homepage}source-code/download?file=${distfiles}&dummy=
-checksums           md5     497c05e59118332e34dbf8965217613b \
-                    sha1    70b6fa569ba4fb0c314ab6256c11596d8c138321 \
-                    rmd160  5df871993ea77107bfc617ec8dc2e183d76ed7b5
-platforms           darwin
+checksums           md5     37221270db925e6073bbade5db643a49 \
+                    sha1    83d6eb3e8c8ed16bf6364a41d216cf96499749c6 \
+                    rmd160  b1c2bfa74c517efd9d26445ff148b8a93cb173b8
                     
-depends_lib         port:db46 \
+depends_lib         port:tokyocabinet \
                     port:openssl \
                     port:pcre
 
-patchfiles          patch-src-files_operators.c.diff
+patchfiles          patch-configure.diff
 
-post-patch {
-    foreach manfile [glob ${worksrcpath}/docs/*.8] {
-        reinplace "s|/usr/local|${prefix}|g" $manfile
-        reinplace "s|/var/cfengine|${prefix}&|g" $manfile
-    }
-}
+configure.args      --enable-fhs \
+                    --with-tokyocabinet=${prefix} \
+                    --with-openssl=${prefix} \
+                    --with-pcre=${prefix}
 
-set cfworkdir       ${prefix}/var/cfengine
+livecheck.type      regex
+livecheck.url       ${homepage}source-code
+livecheck.regex     "cfengine-(\\d+(?:\\.\\d+)*).tar.gz"
 
-configure.cflags    -I${prefix}/include/db46 -I${prefix}/include
-configure.ldflags   -L${prefix}/lib/db46 -L${prefix}/lib
-configure.args      --mandir='\${prefix}/share/man' \
-                    --infodir='\${prefix}/share/info' \
-                    --with-workdir="${cfworkdir}" \
-                    --with-berkeleydb=default \
-                    --with-openssl=${prefix} \
-                    --with-pcre=${prefix} \
-                    --without-gd