--- cctools.txt	2013-02-19 02:33:03.000000000 -0500
+++ kernel-tools.txt	2013-02-19 02:34:01.000000000 -0500
@@ -1,78 +1,51 @@
-Port cctools contains:
-  /opt/local/bin/ar
-  /opt/local/bin/as
+Port kernel-tools contains:
   /opt/local/bin/check_dylib
   /opt/local/bin/checksyms
-  /opt/local/bin/cmpdylib
-  /opt/local/bin/codesign_allocate
-  /opt/local/bin/ctf_insert
-  /opt/local/bin/gprof
+  /opt/local/bin/cmpshlib
+  /opt/local/bin/decomment
+  /opt/local/bin/hack_libgcc
   /opt/local/bin/indr
-  /opt/local/bin/install_name_tool
-  /opt/local/bin/libtool
-  /opt/local/bin/lipo
-  /opt/local/bin/mtoc
-  /opt/local/bin/nm
+  /opt/local/bin/kern_tool
+  /opt/local/bin/kextsymboltool
+  /opt/local/bin/mkshlib
   /opt/local/bin/nmedit
-  /opt/local/bin/otool
-  /opt/local/bin/pagestuff
-  /opt/local/bin/ranlib
-  /opt/local/bin/redo_prebinding
+  /opt/local/bin/relpath
   /opt/local/bin/seg_addr_table
   /opt/local/bin/seg_hack
-  /opt/local/bin/segedit
-  /opt/local/bin/size
-  /opt/local/bin/strings
-  /opt/local/bin/strip
-  /opt/local/libexec/as/arm/as
-  /opt/local/libexec/as/hppa/as
-  /opt/local/libexec/as/i386/as
-  /opt/local/libexec/as/i860/as
-  /opt/local/libexec/as/m68k/as
-  /opt/local/libexec/as/m88k/as
-  /opt/local/libexec/as/ppc/as
-  /opt/local/libexec/as/ppc64/as
-  /opt/local/libexec/as/sparc/as
-  /opt/local/libexec/as/x86_64/as
-  /opt/local/share/gprof.callg
-  /opt/local/share/gprof.flat
-  /opt/local/share/man/man1/ar.1.gz
-  /opt/local/share/man/man1/as.1.gz
+  /opt/local/include/cbt/libsyminfo.h
+  /opt/local/include/dyld/bool.h
+  /opt/local/include/mach-o/hppa/reloc.h
+  /opt/local/include/mach-o/hppa/swap.h
+  /opt/local/include/mach-o/i860/reloc.h
+  /opt/local/include/mach-o/i860/swap.h
+  /opt/local/include/mach-o/kld.h
+  /opt/local/include/mach-o/m68k/swap.h
+  /opt/local/include/mach-o/m88k/reloc.h
+  /opt/local/include/mach-o/m88k/swap.h
+  /opt/local/include/mach-o/redo_prebinding.h
+  /opt/local/include/mach-o/rld.h
+  /opt/local/include/mach-o/rld_state.h
+  /opt/local/include/mach-o/sarld.h
+  /opt/local/include/mach-o/sparc/reloc.h
+  /opt/local/include/mach-o/sparc/swap.h
+  /opt/local/lib/libkld.a
+  /opt/local/lib/libkld.dylib
+  /opt/local/lib/libredo_prebinding.a
+  /opt/local/lib/libsyminfo.a
+  /opt/local/lib/system/libmacho.a
+  /opt/local/lib/system/libmacho_debug.a
+  /opt/local/lib/system/libmacho_profile.a
+  /opt/local/lib/system/libmacho_static.a
+  /opt/local/libexec/gcc/darwin/hppa/as
+  /opt/local/libexec/gcc/darwin/i860/as
+  /opt/local/libexec/gcc/darwin/m68k/as
+  /opt/local/libexec/gcc/darwin/m88k/as
+  /opt/local/libexec/gcc/darwin/sparc/as
   /opt/local/share/man/man1/check_dylib.1.gz
   /opt/local/share/man/man1/checksyms.1.gz
-  /opt/local/share/man/man1/cmpdylib.1.gz
-  /opt/local/share/man/man1/codesign_allocate.1.gz
-  /opt/local/share/man/man1/ctf_insert.1.gz
-  /opt/local/share/man/man1/gprof.1.gz
+  /opt/local/share/man/man1/cmpshlib.1.gz
   /opt/local/share/man/man1/indr.1.gz
-  /opt/local/share/man/man1/install_name_tool.1.gz
-  /opt/local/share/man/man1/libtool.1.gz
-  /opt/local/share/man/man1/lipo.1.gz
-  /opt/local/share/man/man1/mtoc.1.gz
-  /opt/local/share/man/man1/nm.1.gz
-  /opt/local/share/man/man1/nmedit.1.gz
-  /opt/local/share/man/man1/otool.1.gz
-  /opt/local/share/man/man1/pagestuff.1.gz
-  /opt/local/share/man/man1/ranlib.1.gz
-  /opt/local/share/man/man1/redo_prebinding.1.gz
+  /opt/local/share/man/man1/mkshlib.1.gz
   /opt/local/share/man/man1/seg_addr_table.1.gz
-  /opt/local/share/man/man1/segedit.1.gz
-  /opt/local/share/man/man1/size.1.gz
-  /opt/local/share/man/man1/strings.1.gz
-  /opt/local/share/man/man1/strip.1.gz
-  /opt/local/share/man/man3/arch.3.gz
-  /opt/local/share/man/man3/end.3.gz
-  /opt/local/share/man/man3/get_end.3.gz
-  /opt/local/share/man/man3/getsectbyname.3.gz
-  /opt/local/share/man/man3/getsectbynamefromheader.3.gz
-  /opt/local/share/man/man3/getsectdata.3.gz
-  /opt/local/share/man/man3/getsectdatafromheader.3.gz
-  /opt/local/share/man/man3/getsegbyname.3.gz
-  /opt/local/share/man/man3/kld.3.gz
   /opt/local/share/man/man3/libsyminfo.3.gz
   /opt/local/share/man/man3/redo_prebinding.3.gz
-  /opt/local/share/man/man5/Mach-O.5.gz
-  /opt/local/share/man/man5/a.out.5.gz
-  /opt/local/share/man/man5/ar.5.gz
-  /opt/local/share/man/man5/ranlib.5.gz
-  /opt/local/share/man/man5/stab.5.gz