--- Portfile.orig	2013-07-28 16:58:37.000000000 -0700
+++ Portfile	2013-07-28 18:43:07.000000000 -0700
@@ -4,35 +4,34 @@
 PortSystem          1.0
 
 name                gnumeric
-version             1.10.17
-revision            4
+version             1.12.4
 set branch          [join [lrange [split ${version} .] 0 1] .]
 
-license             GPL-2
+license             GPL-2+
 maintainers         nomaintainer
 categories          gnome math
 platforms           darwin
 
-description         A spreadsheet with GNOME support.
-long_description    ${description}
+description         A powerful Gtk3 based spreadsheet with Excel, R and Python support.
+long_description    A powerful Gtk3 based spreadsheet that features full Excel function and file \
+                    compatibility, additional functions not found in Excel, statisticts operations \
+                    with support for R, and Python plugins. Has some ODF support.
 
 homepage            http://projects.gnome.org/gnumeric/
 master_sites        gnome:sources/${name}/${branch}/
 use_xz              yes
 
-checksums           sha256  8f105a10dc0dd47e14df2879591d2f28482fd03809fa95977dd4d1470a02f963
+checksums           sha256  562e17d8b56f4587e33f54adff89a65ede6e6e0c57bcd561589453d8edae80bd \
+                    rmd160  e3540631bdc8827edfa7ecec6a62fd8bcf06399f
 
 depends_build       port:gnome-doc-utils \
                     port:intltool \
                     port:pkgconfig
 
-depends_lib         port:desktop-file-utils \
-                    port:rarian \
-                    port:goffice08 \
-                    port:libglade2 \
-                    port:libpng
+depends_lib         port:goffice \
+                    port:gtk3
 
-depends_run         port:yelp
+#depends_run         port:yelp
 
 configure.args      --disable-schemas-install \
                     --disable-schemas-compile \
@@ -40,42 +39,53 @@
                     --without-paradox \
                     --without-psiconv
 
-variant python25 conflicts python26 python27 description {Use python 2.5} {
-    configure.python          ${prefix}/bin/python2.5
-    depends_lib-append        port:py25-gobject
-    set python_framework      ${frameworks_dir}/Python.framework/Versions/2.5
-    configure.pkg_config_path ${python_framework}/lib/pkgconfig
+
+variant python25 conflicts python26 python27 python33 description {Use python 2.5 - obsolete} {
+# marked as obsolete on 7/28/2013. Consider removing variant after sufficient time.
+
+    pre-fetch {
+        ui_error "Gnumeric 1.12.x must have at least python26. Please consider upgrading."
+        return -code error
+    }
 }
 
-variant python26 conflicts python25 python27 description {Use python 2.6} {
+variant python26 conflicts python25 python27 python33 description {Use python 2.6} {
     configure.python          ${prefix}/bin/python2.6
-    depends_lib-append        port:py26-gobject
+    depends_lib-append        port:py26-gobject3
     set python_framework      ${frameworks_dir}/Python.framework/Versions/2.6
     configure.pkg_config_path ${python_framework}/lib/pkgconfig
 }
 
-variant python27 conflicts python25 python26 description {Use python 2.7} {
+variant python27 conflicts python25 python26 python33 description {Use python 2.7} {
     configure.python          ${prefix}/bin/python2.7
-    depends_lib-append        port:py27-gobject
+    depends_lib-append        port:py27-gobject3
     set python_framework      ${frameworks_dir}/Python.framework/Versions/2.7
     configure.pkg_config_path ${python_framework}/lib/pkgconfig
 }
 
-if {![variant_isset python25] && ![variant_isset python26]} {
-    default_variants +python27
+variant python33 conflicts python25 python26 python27 description {Use python 3.3 - experimental} {
+    configure.python          ${prefix}/bin/python3.3
+    depends_lib-append        port:py33-gobject3
+    set python_framework      ${frameworks_dir}/Python.framework/Versions/3.3
+    configure.pkg_config_path ${python_framework}/lib/pkgconfig
 }
 
-configure.cflags-append "-std=gnu89"
+if {![variant_isset python25] && ![variant_isset python26] && ![variant_isset python33]} {
+    default_variants +python27
+}
 
-# provides both gconf and gsettings schemas
+# the configure phase seems to be smart enough to detect this on its own…
+#configure.cflags-append "-std=gnu89"
 
 post-activate {
     system "${prefix}/bin/scrollkeeper-update"
     system "${prefix}/bin/update-desktop-database ${prefix}/share/applications"
     system "${prefix}/bin/gtk-update-icon-cache -f -t ${prefix}/share/icons/hicolor"
-    system "export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` && \
-        gconftool-2 --makefile-install-rule ${prefix}/etc/gconf/schemas/*.schemas"
     system "${prefix}/bin/glib-compile-schemas ${prefix}/share/glib-2.0/schemas"
 }
 
 livecheck.type  gnome
+
+notes \
+"Recommended supplementary ports:
+    gnome-themes-standard  provides the default Gnome Adwaita theme"